package org.ts.ddcs.DataItemTemplate;

import org.ts.ddcs.Tool.BytesHelp;

/**
 * funcode ff58
 * 上报时间
 */
@SuppressWarnings("all")
public class DataItemTemplateFF58 extends DataItemTemplate {


    @Override
    public byte[] Stream(byte[] data) {
        byte[] remain = data;
        if (this.macth) {
            return remain;
        }
        int count = 0;
        String flag = BytesHelp.byte2HexStr(remain, count, 2);
        count += 2;
        if (flag.equals(this.feture)) {
            byte[] len = BytesHelp.subBytes(remain, count, 1);
            count += 1;
            int dataTotalLen = len[0] >> 3;
            int decimalLen = len[0] & 7;
            count += dataTotalLen;
            remain = BytesHelp.subBytes(remain, count, remain.length - count);
            this.macth = true;
        }
        return remain;
    }
}
